﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Pract7_project
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Метод высчитывает и строит график
        /// </summary>
        private void btnCalc_Click(object sender, EventArgs e)
        {
            // Требуемые значения
            double Xmin = double.Parse(tXmin.Text);
            double Xmax = double.Parse(tXmax.Text);
            double Step = double.Parse(tStep.Text);
            // Количесвто точек графика
            int count = Convert.ToInt32((int)Math.Ceiling((Xmax - Xmin) / Step) + 1); ;
            // Массив значений X - общий для обоих графиков
            double[] x = new double[count];
            // Массив Y у каждого графика свой
            double[] y1 = new double[count];
            double[] y2 = new double[count];
            // Расчитаем точки для графиков
            for (int i = 0; i<count; i++)
            {
                // Найдём значение X
                x[i] = Xmin + Step * i;
                //Вычислим функции
                y1[i] = -Math.Cos(2 * x[i]);
                y2[i] = -Math.Cos(2 * x[i]);
            }
            // Настраиваем оси графика
            grafic.ChartAreas[0].AxisX.Minimum = Xmin;
            grafic.ChartAreas[0].AxisX.Maximum = Xmax;
            // Определяем шаг сетки
            grafic.ChartAreas[0].AxisX.MajorGrid.Interval = Step;
            // Добавляем расчитанные значения в график
            grafic.Series[0].Points.DataBindXY(x, y1);
            grafic.Series[1].Points.DataBindXY(x, y2);
        }
    }
}
